You can fetch a single content snippet by its id.
Requires the read_content_snippets or read_write_content_snippets OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
- The production API serverhttps://api.intercom.io/content_snippets/{id}
- The european API serverhttps://api.eu.intercom.io/content_snippets/{id}
- The australian API serverhttps://api.au.intercom.io/content_snippets/{id}
curl -i -X GET \
https://api.intercom.io/content_snippets/123 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Successful response
String representing the object's type. Always has the value content_snippet.
The content blocks that make up the body of the snippet. In responses, the blocks are returned as a JSON-encoded string rather than as an array.
[ { "type": "paragraph", "text": "Navigate to Settings > Security > Reset password." } ]
The body of the content snippet in markdown.
Whether the content snippet is available for AI Chatbot (Fin).
Whether the content snippet is available for AI Sales Agent.
The list of audience IDs this content snippet is targeted to for Fin AI Agent. Empty array means no audience targeting is set.
[ 1, 2 ]
{ "type": "content_snippet", "id": "123", "title": "How to reset your password", "locale": "en", "json_blocks": [ { … } ], "body_markdown": "Navigate to Settings \\> Security \\> Reset password.\n", "chatbot_availability": 2, "copilot_availability": 2, "ai_chatbot_availability": true, "ai_copilot_availability": true, "ai_sales_agent_availability": true, "created_at": 1663597223, "updated_at": 1663597223, "audience_ids": [ 1, 2 ] }